drslib

NAME
drs_tool - Command-line interface to DRSLIB

SYNPOSIS

DESCRIPTION

USAGE
Usage Usage: drs_tool [command] [options] [drs-pattern] command:
list     list publication-level datasets
todo     show file operations pending for the next version
upgrade     make changes to the selected datasets to upgrade to the next version
mapfile     make a mapfile of the selected dataset
history     list all versions of the selected dataset
init     initialise CMIP5 product detection data

OPTIONS

--help
    display this help message and exit

--version
    output version information and exit
        -h, --help     show this help message and exit
        -R ROOT, --root=ROOT
             Root directory of the DRS tree
        -I INCOMING, --incoming=INCOMING
             Incoming directory for DRS files. Defaults to <root>/output
        -a ACTIVITY, --activity=ACTIVITY
             Set DRS attribute activity for dataset discovery
        -p PRODUCT, --product=PRODUCT
             Set DRS attribute product for dataset discovery
        -i INSTITUTE, --institute=INSTITUTE
             Set DRS attribute institute for dataset discovery
        -m MODEL, --model=MODEL
             Set DRS attribute model for dataset discovery
        -e EXPERIMENT, --experiment=EXPERIMENT
             Set DRS attribute experiment for dataset discovery
        -f FREQUENCY, --frequency=FREQUENCY
             Set DRS attribute frequency for dataset discovery
        -r REALM, --realm=REALM
             Set DRS attribute realm for dataset discovery
        -v VERSION, --version=VERSION
             Force version upgrades to this version
        -P FILE, --profile=FILE
             Profile the script exectuion into FILE
        --detect-product
             Automatically detect the DRS product of incoming data

REQUIRES

FILES

drs_tool
uses metaconfig to configure and store configuration information. Its configuration may be found then in a metaconfig.conf file, in /etc/metaconfig/metaconfig.conf on Debian systems, which may be overriden by $HOME/.metaconfig.conf or ./metaconfig.conf

ENVIRONMENT VARIABLES
The variable METACONF_CONF

VERSION
0.3.0a3

BUGS
To query and report bugs in drs_tool, please use reportbug on Debian systems.

SEE ALSO
http://esgf.org/esgf-drslib-site/index.html

AUTHOR
DRSLIB was written by Stephen Pascoe, STFC.SC.UK. This manual page was written by Alastair McKinstry.